### Method

# Adw Squeezerset_interpolate_size

deprecated: 1.4

#### Declaration [src]

    void
    adw_squeezer_set_interpolate_size (
      AdwSqueezer* self,
      gboolean interpolate_size
    )

#### Description [src]

Sets whether `self` interpolates its size when changing the visible child.

If `TRUE`, the squeezer will interpolate its size between the one of the previous visible child and the one of the new visible child, according to the set transition duration and the orientation, e.g. if the squeezer is horizontal, it will interpolate the its height.

Deprecated since: 1.4

See the migration guide

Sets property | `Adw.Squeezer:interpolate-size`

#### Parameters

`interpolate_size`

  Type: `gboolean`

  Whether to interpolate the size.